-- Load LuaSocket library
socket = require("socket")

-- Create a UDP socket
udp = socket.udp4()
udp:settimeout(0)

-- Set the destination IP address and port
--ip = "127.0.0.1" -- Change this to the IP address of the receiving instance
local address, port = "127.0.0.1", 1024

--port = 1024 -- Change this to the port number used by the receiving instance

-- Function to send thumbstick axes data
function sendThumbstickAxes(leftxaxis, leftyaxis, rightxaxis, rightyaxis)
  -- Initialize variables if they are nil
  if leftxaxis == nil then leftxaxis = 0 end
  if leftyaxis == nil then leftyaxis = 0 end
  if rightxaxis == nil then rightxaxis = 0 end
  if rightyaxis == nil then rightyaxis = 0 end
  
  -- Serialize the thumbstick axes data
  local data = string.format("%f,%f,%f,%f", leftxaxis, leftyaxis, rightxaxis, rightyaxis)
	
  -- Send data via UDP socket to the specified IP address and port
  udp:sendto(data, address, port)
  print("Sent data:", data)
  --print(address)
end
