


    joystick = love.joystick.getJoysticks()[1]
    require("src/RealGamepad/gamepadinput")
    loadcontrollermappings()
    gamepadTimer = 0

	leftxaxis,leftyaxis=0,0

alesianaFont = love.graphics.newFont("src/assets/fonts/alanesiana/AlanesianaRegular.ttf", 24) -- Thanks @hicchicc for the font
local touchControls = require("src/touchControls")
local touchKeyboard = require ("src/touchKeyboard")
require ("src/Menu/About")
require ("src/Menu/Buttons")
require ("src/Menu/DrawButton")

--network = require "network"
require ("src/Network/receiveThumbstickAxes")
require ("src/Network/sendAxes")

function love.load()


  touchControls:init()
   touchKeyboard:init() -- Initialize touchKeyboard module
end

function assignRealGamepadAxisToVirtualAxis()
    -- Define the threshold for assigning values
    local threshold = 5

    -- Define the range for the real gamepad's axis values (-1 to 1)
    local minAxisValue = -1
    local maxAxisValue = 1

    -- Define the range for the virtual axes (-40 to 40)
    local minVirtualValue = -40
    local maxVirtualValue = 40

    -- Map the axis values from the real gamepad to the virtual axes
    local mappedLeftXAxis = map(leftxaxis, minAxisValue, maxAxisValue, minVirtualValue, maxVirtualValue)
    local mappedLeftYAxis = map(leftyaxis, minAxisValue, maxAxisValue, minVirtualValue, maxVirtualValue)
    local mappedRightXAxis = map(rightxaxis, minAxisValue, maxAxisValue, minVirtualValue, maxVirtualValue)
    local mappedRightYAxis = map(rightyaxis, minAxisValue, maxAxisValue, minVirtualValue, maxVirtualValue)

    -- Only update touch control values if real gamepad's thumbsticks are actively used
    if math.abs(mappedLeftXAxis) > threshold or math.abs(mappedLeftYAxis) > threshold or
       math.abs(mappedRightXAxis) > threshold or math.abs(mappedRightYAxis) > threshold then
        touchControls.leftxaxis = mappedLeftXAxis
        touchControls.leftyaxis = mappedLeftYAxis
        touchControls.rightxaxis = mappedRightXAxis
        touchControls.rightyaxis = mappedRightYAxis
    end
end




-- Helper function to map a value from one range to another
function map(value, inMin, inMax, outMin, outMax)
    return (value - inMin) * (outMax - outMin) / (inMax - inMin) + outMin
end



function love.update(dt)
    updateKeyboard()
    
    --real gamepad
    updategetjoystickaxis(dt)
    
  isjoystickbeingpressed(joystick, button)
	
    if joystick then
        assignRealGamepadAxisToVirtualAxis()    -- assign real Gamepad values to virtual gamepad
        --releaseJoystickButtons(joystick, button) -- Release joystick buttons
    end
	
	
	    
    sendThumbstickAxes(leftxaxis, leftyaxis, rightxaxis, rightyaxis)
    
    --sendThumbstickAxes(touchControls.leftxaxis, touchControls.leftyaxis, touchControls.rightxaxis, touchControls.rightyaxis)
  receiveThumbstickAxes()
    -- Print received thumbstick axes values
   print("Received Left X Axis:", receivedLeftXAxis)
   print("leftxaxis:", leftxaxis)
  --[[print("Received Left Y Axis:", receivedLeftYAxis)
  print("Received Right X Axis:", receivedRightXAxis)
  print("Received Right Y Axis:", receivedRightYAxis)
  --]]
end



function love.draw()
  if menuOpened==false then
		touchControls:draw()
  
	if touchControls.layout=="keyboard" then
		touchKeyboard:draw()
	end

	-- debug statements
	-- Print values on the game window
	love.graphics.print("Left Thumbstick - x: " .. touchControls.leftxaxis .. " y: " .. touchControls.leftyaxis, 10, 10)
	love.graphics.print("Right Thumbstick - x: " .. touchControls.rightxaxis .. " y: " .. touchControls.rightyaxis, 10, 30)
		drawOpenMenu()
	elseif menuOpened==true then
		drawOpenMenu()
		drawMenuButtons()
	end
	if showAbout==true then
	love.graphics.print("About: ",10, 10,0,1)
		drawTextContent(paragraph, windowX, windowY, maxWidth, lineHeight)
	end
	
	if joystick then
	    if leftxaxis>0.2 or leftxaxis<-0.2 or leftyaxis>0.2 or leftyaxis<-0.2 then 
	    -- Draw virtual thumbstick for left thumbstick when pressed and dragged
				love.graphics.circle("line", touchControls.leftThumbstickX + touchControls.leftxaxis, touchControls.leftThumbstickY + touchControls.leftyaxis, touchControls.leftThumbstickRadius * 1.5)
	    end
	    
	     if rightxaxis>0.2 or rightxaxis<-0.2 or rightyaxis>0.2 or rightyaxis<-0.2 then 
	    -- Draw virtual thumbstick for right thumbstick when pressed and dragged
				love.graphics.circle("line", touchControls.rightThumbstickX + touchControls.rightxaxis, touchControls.rightThumbstickY + touchControls.rightyaxis, touchControls.rightThumbstickRadius * 1.5)
	    end
	 end
end

